# Class ConcreteHyperlink

#### Hierarchy

- XmlComponent
  - ConcreteHyperlink
    - InternalHyperlink

- Defined in file/paragraph/links/hyperlink.ts:13

#####
Index

### Constructors

constructor

### Properties

linkId

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new ConcreteHyperlink(children, relationshipId, anchor?): ConcreteHyperlink

- #### Parameters

  - ##### children: readonly ParagraphChild []

  - ##### relationshipId: string

  - ##### `Optional` anchor: string

  #### Returns ConcreteHyperlink

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/links/hyperlink.ts:16

## Properties

### `Readonly` linkId

linkId: string

- Defined in file/paragraph/links/hyperlink.ts:14

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc